Subject: Re: linux-next: build failure after merge of the net tree

From: Florian Fainelli <[email-masked]>
Date: Thu, 20 Oct 2016 17:46:17 -0700

On 10/20/2016 05:43 PM, Stephen Rothwell wrote:
> Hi Florian,
> 
> On Thu, 20 Oct 2016 17:30:33 -0700 Florian Fainelli <[email-masked]> wrote:
>>
>> On 10/20/2016 03:42 PM, Florian Fainelli wrote:
>>> On 10/20/2016 03:27 PM, Stephen Rothwell wrote:  
>>>>
>>>> After merging the net tree, today's linux-next build (arm
>>>> multi_v7_defconfig) failed like this:
>>>>
>>>> ERROR: "kexec_in_progress" [drivers/net/dsa/bcm_sf2.ko] undefined!
>>>>
>>>> Caused by commit
>>>>
>>>>   2399d6143f85 ("net: dsa: bcm_sf2: Prevent GPHY shutdown for kexec'd kernels")
>>>>
>>>> I used the version of the net tree from next-20161020 for today.  
>>>
>>> OK, seems like we need an ifdef CONFIG_KEXEC_CORE, let me fix that.
>>> Thanks Stephen!  
>>
>> Stephen, can you send me the .config file? I could not reproduce it with
>> next-20161020 and doing a make multi_v7_defconfig:
> 
> This only started with the net tree as of today (HEAD a681574c99be).
> The problem is simply that kexec_in_progress is not exported to modules.

Realized that right after sending you the email.

> 
> Sorry, getting the actual .config file is a pain at this point since my
> builds have moved on.
> 
> It probably had (the current .config has):
> 
> CONFIG_NET_DSA_BCM_SF2=m
> CONFIG_KEXEC_CORE=y
> 
> If CONFIG_KEXEC_CORE is not set, then kexec_in_progress is defined to false.

Yes indeed, I have a fix ready, thanks!
-- 
Florian